Subject: [yam] [Errata Verified] RFC6409 (3995)

From: RFC Errata System <[email-masked]>
Date: Thu, 22 May 2014 08:40:41 -0700 (PDT)

The following errata report has been verified for RFC6409,
"Message Submission for Mail". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6409&eid=3995

--------------------------------------
Status: Verified
Type: Technical

Reported by: Tony Finch <[email-masked]>
Date Reported: 2014-05-22
Verified by: Barry Leiba (IESG)

Section: 8.7

Original Text
-------------
   NOTE: SMTP [SMTP-MTA] prohibits the use of domain name aliases in
   addresses and the session-opening announcement.  As with other SMTP
   requirements, RFC 5321 effectively prohibits an MSA from forwarding
   such messages into the public Internet.  Nonetheless, unconditionally
   resolving aliases could be harmful.  For example, if www.example.net
   and ftp.example.net are both aliases for mail.example.net, rewriting
   them could lose useful information.

Corrected Text
--------------
   NOTE: RFC 821 and RFC 1123 prohibited the use of domain name
   aliases in addresses and the session-opening announcement.
   Because of this it is still common for MTAs to canonicalize
   domains in email addresses.  However this requirement was dropped
   during the development of RFC 2821.  The current rules about 
   domain name aliases are set out in RFC 5321 section 2.3.5.

Notes
-----

--------------------------------------
RFC6409 (draft-ietf-yam-rfc4409bis-03)
--------------------------------------
Title               : Message Submission for Mail
Publication Date    : November 2011
Author(s)           : R. Gellens, J. Klensin
Category            : INTERNET STANDARD
Source              : Yet Another Mail
Area                : Applications
Stream              : IETF
Verifying Party     : IESG